{% extends "base_device.yaml.jinja2" %}

{% set invalid_sig_capsule_url = "https://gitlab.com/Linaro/blueprints/ci-artifacts/-/raw/kv260-invalid-capsule-0.0/zynqmp-kria-starter_invalid_sig.capsule" %}

{% block device_setup %}
device_type: kv260

job_name: {{ lava_job_name }}

timeouts:
  job:
    minutes: 60
  action:
    minutes: 20
  connection:
    minutes: 20

priority: medium

visibility: public

context:
  lava_test_results_dir: /var/lib/lava-%s
  test_character_delay: 30

actions:

- deploy:
    to: downloads
    failure_retry: 3
    images:
      testexport:
        url: {{ testexport_url }}
      capsule:
        url: {{ capsule_url }}
      invalid_sig:
        url: {{ invalid_sig_capsule_url }}
    postprocess:
      docker:
        image: debian
        timeout:
          minutes: 60
        steps:
          - dd if=/dev/urandom of=random_data.capsule bs=1K count=1K

- deploy:
    failure_retry: 3
    timeout:
      minutes: 60
    to: flasher
    images:
      ImageA:
        {%- set firmware_path, firmware_extension = splitext(firmware_url["ImageA.bin.gz"]) %}
        url: {{ firmware_url["ImageA.bin.gz"] }}
        compression: {{ firmware_extension[1:] }}
      ImageB:
        {%- set os_path, firmware_extension = splitext(firmware_url["ImageB.bin.gz"]) %}
        url: {{ firmware_url["ImageB.bin.gz"] }}
        compression: {{ firmware_extension[1:] }}
      sd:
        url: {{ os_url }}
        {%- set _, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}

- boot:
    timeout:
      minutes: 15
    method: minimal

- boot:
    timeout:
      minutes: 15
    method: minimal
    reset: false
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
    auto_login:
      login_prompt: "login:"
      username: "root"
    transfer_overlay:
      download_command: wget -t 20 --waitretry 20 --retry-connrefused --retry-on-host-error --retry-on-http-error=401,403
      unpack_command: tar -C /var/lib/ -xzvf
{% endblock %}
